> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoices Dashboard

> Get a summary of invoices filtered by company, date range and buildings.



## OpenAPI

````yaml /openapi.json get /api/v1/invoices/dashboard
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/invoices/dashboard:
    get:
      tags:
        - invoices
      summary: Get Invoices Dashboard
      description: Get a summary of invoices filtered by company, date range and buildings.
      parameters:
        - name: companyId
          in: query
          description: CompanyId
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          example: '2025-01-01'
          required: true
          schema:
            type: string
        - name: endDate
          in: query
          example: '2025-01-31'
          required: true
          schema:
            type: string
        - name: buildingIds
          in: query
          description: List of building id
          required: false
          schema:
            type: array
            items:
              type: string
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Maximum number of items per page
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: A summary of consumptions
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````